<?
session_start();
require_once('../connect/connect.php');
include_once('../lib/lib.php');
require('pdk.php');

$id_akk=intval($_SESSION['ID_P'][1]);
$page_activ=$_SERVER['PHP_SELF'];

$base_path="../";
$bp="../";
include_once($base_path.'cashe_catalog/_svod_catalog.php'); // дерево каталогов

$title='Магазин';
$titl=$title;
require ('top.php'); 

$r=mysql_query("SELECT * FROM magazin WHERE id_akk='".$id_akk."'");
$nr=mysql_num_rows($r);
if($nr)
{
$rr=mysql_fetch_array($r);

if($rru['max_gif']==2)
	{
	$razmernost=' в год ';
	$period=365;
	}
elseif($rru['max_gif']==1)
	{
	$razmernost=' в месяц ';
	$period=30;
	}

if($rr['activ'] || strtotime($rr['data1'])<time())
$times=time()+$period*24*60*60;
else
$times=strtotime($rr['data1'])+$period*24*60*60; 

$dt1= date("Y-m-d H:i:s", $times);

$data_opl = dat_rus(date("Y-m-d H:i:s", $times), 2);
$ost = floor((strtotime($rr['data1'])-time())/(24*60*60));
$ost_dn=15; //за сколько дней до истечения срока можно продлевать магазин

echo '<p><a href="../blok/edit_magazin.php?id='.$rr['id'].'">Редактировать магазин</a></p>';

if($rru['cena_vip'])
echo '<p><font size=+1 color=#993333>Размещение магазина - '.$rru['cena_vip'].' '.$rru['cena_valuta'].' '.$razmernost.'</font></p>';
?>
<table cellpadding="5" cellspacing="5" width="100%">
	<tr>
		<td valign="top" >
			<?
			
			
		if($_POST['opl_yes'] && $ost < $ost_dn && $rru['cena_vip']<=$sum)
			{
			mysql_query("UPDATE magazin SET 
							activ='0', 
							data1='".$dt1."' 
							WHERE id_akk='".$id_akk."'");
							
			mysql_query("INSERT INTO plateg (summa, id_akk, typ, data, opis)  
							VALUES ('".$rru['cena_vip']."', '".$id_akk."', 2, NOW(), 
							'Оплата магазина')");
			$id_user=$_SESSION['ID_P'][1];
			include_once('balans.php');
			echo "<HTML><HEAD><meta http-equiv='Refresh' charset='utf-8' content='0; URL=".$page_activ."'></HEAD></HTML>";
			exit;
			}
		
		if($_GET['opl'])
			{
			if($rru['cena_vip']>$sum)
				{
				echo '<table width=400 bordercolor=red border=3 cellSpacing=0 cellPadding=5><tr><td bgcolor=ffffff>
				<p>В Вашем кошельке (<b>'.intval($sum).' '.$rru['cena_valuta'].'</b>) недостаточно средств для оплаты магазина
				до '.$data_opl.'
				(<b>'.$rru['cena_vip'].' '.$rru['cena_valuta'].'</b>)
				</p>';
				?>
				<form action="<?=$page_activ?>" method="post" name="form_opl" >
  				<input class="submit" type="submit" name="opl_no" value="OK">
				</form>
				<?
				echo '</td></tr></table><br>';
				}
			else
				{
				echo '<table width=400 bordercolor=red border=3 cellSpacing=0 cellPadding=5><tr><td bgcolor=ffffff>
				<p>Вы действительно хотите оплатить размещение магазина до <br> <b>'.$data_opl.'</b> ?
				<br>
				Это обойдется Вам в <b>'.$rru['cena_vip'].' '.$rru['cena_valuta'].'</b>
				</p>';
				?>
				<form action="<?=$page_activ?>" method="post" name="form_opl" >
  				<input class="submit" type="submit" name="opl_yes" value="Да">
  				<input class="submit" type="submit" name="opl_no" value="Нет">
				</form>
				<?
				echo '</td></tr></table><br>';
				}
			}
			
			
			
			
			echo 'Дата регистрации магазина: <font color=blue>'.dat_rus($rr['data'], 2).'</font>';
			
			if($ost>0)
				{
				echo '<br>Магазин активен до: <font color=blue>'.dat_rus($rr['data1'], 2).'</font>';
				echo ' <font color=green>(Осталось '.$ost.' дн.)</font>';
				if($ost<$ost_dn)
				echo '<br><a href="?opl=2"><font size=+1 color=green>Продлить размещение магазина до '.$data_opl.'</font></a>';
				}
			elseif($ost==0)
				{
				echo '<br>Магазин активен до: <font color=blue>'.dat_rus($rr['data1'], 2).'</font>';
				echo ' (Последний день)';
				echo '<br><a href="?opl=2"><font size=+1 color=green>Продлить размещение магазина</font></a>';
				}
			elseif($ost<0)
				{
				if($rr['activ'])
				echo '<br><font size=+1 color=red>Магазин не активен</font>';
				else
				echo '<br><font size=+1 color=red>Срок размещения истек</font>';
				echo '<br><a href="?opl=1"><font size=+1 color=green>Оплатить магазин до '.$data_opl.'</font></a>';
				}
				
			echo '<br><a href="'.$base_path.'_'.$rr['zag_url'].'/">Страница магазина на сайте</a>';

			echo '<p>';
			?>
			<table width="100%">
				<tr valign="top">
					<td valign="top" width="100">
					<b>Название</b>
					<td>
					<?=$rr['zag']?>
				<tr>
					<td valign="top">
					<b>Разделы</b>
					<td>
					<?
					$ra=explode('<br>',$rr['razdel']);
					if($ra)
						{
						foreach ($ra as $index=>$rar)
							{
							if($index)
							echo '<br>';
							echo '* '.$rar;
							}
						}
					?>
				<tr>
					<td valign="top">
					<b>Регион</b>
					<td>
					<?
					echo $rr['gorod'];
					if($rr['rayon'])
					echo ', '.$rr['rayon'];
					?>
				<tr>
					<td valign="top">
					<b>Описание</b>
					<td>
					<?
					$opis=explode("<hr>",$rr['opis']);
					if($opis[1])
					echo str_replace("\n","<br>",$opis[1]);
					
				if($rr['url_real']) 
				echo '<tr><td><b>Сайт магазина</b><td><a target=_blank rel="nofollow" href="'.$rr['url_real'].'">'.$rr['url'].'</a>';
					
				?>
			</table>
		</td>
		<td width="200" valign="top">
		<?
		if($rr['small'] && file_exists($bp.$rr['small']))
		echo ' <img src="'.$bp.$rr['small'].'?i='.time().'" botder=0><p>';

		if($rr['map_x'])
			{
			if($rru['map']=='y')
				{
				?>
				<iframe src="<?=$base_path?>blok/ymap_view.php?map_x=<?=$rr['map_x']?>&map_y=<?=$rr['map_y']?>&h=300&w=250&zag=<?=urlencode($rr['zag'])?>" height="301" width="251" frameborder="0" scrolling="no"></iframe>
				<?
				}
			elseif($rru['map']=='g')
				{
				?>
				<iframe src="<?=$base_path?>blok/gmap_view.php?nosm=1&map_x=<?=$rr['map_x']?>&map_y=<?=$rr['map_y']?>&h=300&w=250&zag=<?=urlencode($rr['zag'])?>" height="301" width="251" frameborder="0" scrolling="no"></iframe>
				<?
				}
			}
		?>
		</td>
	</tr>
</table>
<?
}

require('bottom.php');
?>